class RostersController < ApplicationController
  # GET /rosters
  # GET /rosters.json
  def index
    @rosters = Roster.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @rosters }
    end
  end

  # GET /rosters/1
  # GET /rosters/1.json
  def show
    @roster = Roster.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @roster }
    end
  end

  # GET /rosters/new
  # GET /rosters/new.json
  def new
    @roster = Roster.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @roster }
    end
  end

  # GET /rosters/1/edit
  def edit
    @roster = Roster.find(params[:id])
  end

  # POST /rosters
  # POST /rosters.json
  def create
    respond_to do |format|
      format.html do
        @roster = Roster.new(params[:roster])
        if @roster.save
          redirect_to @roster, notice: 'Roster was successfully created.'
        else
          render action: "new"
        end
      end
      format.json do
        roster = Roster.new(JSON.parse(params["json"]))
        if roster.save
          return render json: {status: "OK", msg: "complete"}
        else
          return render json: {status: "NG", msg: "Failed"}
        end
      end
    end
  end

  # PUT /rosters/1
  # PUT /rosters/1.json
  def update
    @roster = Roster.find(params[:id])

    respond_to do |format|
      format.html do
        if @roster.update_attributes(params[:roster])
          redirect_to @roster, notice: 'Roster was successfully updated.'
        else
          render action: "edit"
        end
      end
      format.json do
        if @roster.update_attributes(JSON.parse(params["json"]))
          return render json: {status: "OK", msg: "complete"}
        else
          return render json: {status: "NG", msg: "Failed"}
        end
      end
    end
  end

  # DELETE /rosters/1
  # DELETE /rosters/1.json
  def destroy
    @roster = Roster.find(params[:id])
    @roster.destroy

    respond_to do |format|
      format.html { redirect_to rosters_url }
      format.json { render json: {status: "OK", msg: "Complete"} }
    end
  end

  # POST /rosters/sync.json
  def sync
    respond_to do |format|
      format.html{redirect_to :action => :index}
      format.json do
        json = JSON.parse(params["json"])
        json.each do |j|
          if j["id"]
            r = Roster.find(j["id"])
            if j["delete_flg"] && j["delete_flg"].to_s  == "1"
              r.destroy
            else
              j.delete("delete_flg")
              r.update_attributes(j)
            end
          else
            j.delete("delete_flg")
            Roster.create(j)
          end
        end
        rosters = Roster.select("id, username, company_name, address, phone_number").all
        render json: {results: rosters, status: "OK", msg: "Complete"}
      end
    end
  end
end
